<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        $js_form = js_form();
        $js_hover = js_hover();
        $id_fora = 1 * $_GET[forum];
        $row = mysql_fetch_array(dotaz("SELECT skupina,jmeno FROM forum_fora WHERE id = '$id_fora';"));
        if(empty($row)) { header("Location: index.php"); die("Toto fórum nebylo nalezeno! <a href=\"index.php\">Zpět</a>."); }
        $jmeno_fora = $row[1];
        $id_skupiny = $row[0];

        if(isset($_POST[odeslat])) {
                $ip = $_SERVER[REMOTE_ADDR];
                $chyba_vlozeni .= je_ban($ip);
                if(!empty($_POST[robutek])) { exit(); }
                if(!$prihlaseni) { 
                        $chyba_vlozeni .= over_cislo($_POST[sifra],$_POST[cislo]); 
                        $chyba_vlozeni .= overeni_vyplneni($_POST[jmeno], "Jméno");
                        $jmeno = orez_retezec_2($_POST[jmeno]);
                } else {
                        $jmeno = $prihlaseni_jmeno;
                }

                $chyba_vlozeni .= overeni_vyplneni($_POST[zprava], "Zpráva");
                $chyba_vlozeni .= overeni_vyplneni($_POST[nazev_tematu], "Název tématu");

                if(!empty($chyba_vlozeni)) {
                        $chyba_vlozeni = "<br /><b>Téma nebylo založeno. Možné příčiny:</b><br />".$chyba_vlozeni;
                        $polozky_vlozeni = Array($_POST[nazev_tematu],$_POST[jmeno], $_POST[zprava]);
                } else {
                        $zprava = addslashes($_POST[zprava]);
                        $nazev_tematu = orez_retezec_2($_POST[nazev_tematu]);
                        $datum = "Datum: ".date("j.n.Y")."<br />Čas: ".date("H:i:s");

                        $posledni_tema = date("U");
                        $mesice = Array("ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
                        $mesic = date("n") - 1;
                        $posledni_forum = date("j").".".$mesice[$mesic]."<br />".date("H:i:s");

                        dotaz("INSERT INTO forum_temata SET forum = '$id_fora', skupina = '$id_skupiny', jmeno = '$nazev_tematu', posledni = '$posledni_tema', posledni2 = '$posledni_forum';");
                        $row = mysql_fetch_array(dotaz("SELECT max(id) FROM forum_temata;"));
                        $id_tematu = $row[0];

                        $cas = date("U");
                        dotaz("UPDATE forum_fora SET posledni2 = '$cas' WHERE id = '$id_fora';");

                        dotaz("INSERT INTO forum_prispevky SET forum = '$id_fora', skupina = '$id_skupiny', tema = '$id_tematu', jmeno = '$jmeno', datum = '$datum', id_uzivatele = '$prihlaseni_id', zprava = '$zprava', ip = '$ip';");
                        dotaz("UPDATE forum_fora SET temat = temat + 1, prispevku = prispevku + 1, posledni = '$posledni_forum' WHERE id = '$id_fora';");
                        if(isset($prihlaseni_id)) { dotaz("UPDATE forum_uzivatele SET temat = temat + 1, prispevku = prispevku + 1 WHERE id = '$prihlaseni_id';"); }
                        header("Location: forum.php?forum=".$id_fora."");
                }
        }

        echo hlavicka("$forum_jmeno | $jmeno_fora");
        echo logo();
        echo menu();

        $row = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_skupiny WHERE id = '$row[0]';"));
        $jmeno_skupiny = $row[0];
?>
        <table cellspacing="0" cellpadding="0">
                <tr class="skupina">
                        <td class="skupina_jmeno"><?php echo "<a href=\"index.php\" title=\"".$forum_jmeno."\">".$jmeno_skupiny."</a> &gt; <a href=\"forum.php?forum=".$id_fora."\" title=\"Fórum - ".$jmeno_fora."\">".$jmeno_fora."</a>"; ?></td>
                        <td class="popisek">odpovědí</td>
                        <td class="popisek">zhlédnuto</td>
                        <td class="popisek">poslední</td>
                </tr>
<?php
        if(empty($_GET[strana])) { $strana = 1; } else { $strana = 1 * $_GET[strana]; }
        $od = ($strana - 1) * $pocet_temat_na_stranku;
        $query = dotaz("SELECT * FROM forum_temata WHERE forum = '$id_fora' ORDER BY posledni DESC LIMIT $od,$pocet_temat_na_stranku;");
        while($row = mysql_fetch_array($query)) {
                        $ikonka = "";
                        if($row[dulezite] == 1) { $ikonka = "<img src=\"./img/dulezite.gif\" alt=\"dulezite\" class=\"ikonka\" />"; }
                        elseif(($row[zamknuto] == 1) && ($row[posledni] > $_COOKIE[cas])) { $ikonka = "<img src=\"./img/neprecteno_zamknuto.gif\" alt=\"zamknuto\" class=\"ikonka\" />"; }  
                        elseif($row[zamknuto] == 1) { $ikonka = "<img src=\"./img/zamknuto.gif\" alt=\"zamknuto\" class=\"ikonka\" />"; } 
                        $stran = ceil(($row[odpovedi] + 1) / $pocet_prispevku_na_stranku);
                        if($stran != 1) {
                                $stranky = "<span class=\"stranky\">";
                                for($i = 1; $i <= $stran; $i++) {
                                        $stranky .= "<a href=\"tema.php?tema=".$row[id]."&#38;strana=".$i."\" title=\"Téma - ".stripslashes($row[jmeno])." - strana ".$i."\">".$i."</a>.";
                                }
                                $stranky .= "</span>";
                        } else { 
                                $stranky = "";
                        }

                        if(empty($row[posledni2])) { $posledni = "nezjištěno"; } else { $posledni = $row[posledni2]; }
                        echo "\t\t<tr class=\"tema\" ".$js_hover." onclick=\"location.href='tema.php?tema=".$row[id]."'\">
                                <td class=\"tema_jmeno\">".$ikonka."<a href=\"tema.php?tema=".$row[id]."\" title=\"Téma - ".stripslashes($row[jmeno])."\">".stripslashes($row[jmeno])."</a>".$stranky."</td>
                                <td class=\"popisek\">".$row[odpovedi]."</td>
                                <td class=\"popisek\">".$row[zhlednuto]."</td>
                                <td class=\"popisek\">".$posledni."</td>
                        </tr>\n";
                        $plne = 1;
        }

        if($plne != 1) {
                echo "<tr class=\"tema\" align=\"center\"><td colspan=\"4\"><br />Toto fórum/tato strana neobsahuje žádná témata.<br /><br /></td></tr>";
        }
        
        $row = mysql_fetch_array(dotaz("SELECT count(*) FROM forum_temata WHERE forum = '$id_fora';"));
        $pocet_temat = $row[0];
        $stran = ceil($pocet_temat / $pocet_temat_na_stranku);
        echo "\t</table>\n\t<div id=\"strankovani\">\n\t\t<div class=\"nove_tema\">Nové téma</div>\n\t\t";
        for($i = 1; $i <= $stran; $i++) {
                echo "<a href=\"forum.php?forum=".$id_fora."&#38;strana=".$i."\" title=\"Fórum - ".$jmeno_fora."\">";
                if($strana == $i) { echo "<b>".$i."</b>"; } else { echo $i;} 
                if($i != $stran) { echo "</a>&nbsp;.&nbsp;"; } else { echo "</a>&nbsp;"; }
        }
        echo "\n\t</div>";

        if(($prihlaseni) /*|| ($pristupnost == 0)*/) {
                $id_fora = 1 * $_GET[forum];
                echo "\t<form action=\"forum.php?forum=".$id_fora."\" method=\"post\" id=\"nove_tema\" name=\"post\">
                <fieldset>
                        <legend>Nové téma</legend>\n".$chyba_vlozeni;

                echo "\t\t\t<label>Název tématu:*</label><input type=\"text\" name=\"nazev_tematu\" ".$js_form." value=\"".$polozky_vlozeni[0]."\" /><br />\n";

                if($prihlaseni) {
                        echo "\t\t\t<label>Jméno:</label><b>".$prihlaseni_jmeno."</b><br />\n";
                } else {
                        echo "\t\t\t<label>Jméno:*</label><input type=\"text\" name=\"jmeno\" ".$js_form." value=\"".$polozky_vlozeni[1]."\" /><br />\n";
                }

                echo "\t\t\t<label>Zpráva:*</label><textarea name=\"zprava\" cols=\"\" rows=\"\" ".$js_form." id=\"txt\">".$polozky_vlozeni[2]."</textarea>";

                if(!$prihlaseni) {
                        $cislo_sifra = nahodne_cislo();
                        echo "\t\t\t<label>Opište číslicí:* <b>".$cislo_sifra[cislo]."</b></label><input type=\"text\" name=\"cislo\" id=\"kod\" ".$js_form." /><input type=\"hidden\" name=\"sifra\" value=\"".$cislo_sifra[sifra]."\" /><input type=\"hidden\" name=\"robutek\" />\n";
                }

                echo "\t\t\t<br /><input type=\"submit\" name=\"odeslat\" value=\"Odeslat\" id=\"odeslat\" /><br />
                        <span class=\"small\">* - povinné položky</span>
                </fieldset>
        </form>
                <script type=\"text/javascript\">
                        options = Texyla.configurator.forum(document.forms[0].txt);
                        options.coolButtons = false;
                        options.theme = 'default';
                        options.editorWidth = 'auto';
                        var Texyla1 = new Texyla(options);
                </script>\n";
        } else {
                echo "\t<div id=\"oznameni\">Pro vkládání témat do tohoto fóra se musíte nejprve <a href=\"prihlaseni.php\" title=\"Přihlášení\">přihlásit</a>, případně se <a href=\"registrace.php\" title=\"Registrace\">zaregistrovat</a></div>\n";
        }

        echo $paticka; 
?>